Package be.ehealth.business.kmehrcommons.mycarenet

# Class McnHcPartyUtil

java.lang.Object
be.ehealth.business.kmehrcommons.mycarenet.McnHcPartyUtil

public final class McnHcPartyUtil extends Object
utility class to create HcParty kmehr objects in a MyCarenet Java package namespace. This alternative namespace was introduced to allow specific JAXB binding for some MyCarenet services.

for more info about HcPartyCodes : https://www.ehealth.fgov.be/standards/kmehr/content/page/tables/198/healthcare-party-type for more info about HcParty : https://www.ehealth.fgov.be/standards/kmehr/content/page/37/hcparty

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDHCPARTY`
  `buildCd(String sv, String value, CDHCPARTYschemes scheme, String sl)`
  `static CDHCPARTY`
  `buildCd(String sv, String value, CDHCPARTYschemes scheme, String sl, String dn, String l)`
  `static IDHCPARTY`
  `buildId(String value, IDHCPARTYschemes scheme)`
  `static IDHCPARTY`
  `buildId(String version, String value, IDHCPARTYschemes scheme)`
  `static IDHCPARTY`
  `buildId(String version, String value, IDHCPARTYschemes scheme, String sl)`
  `static IDHCPARTY`
  `createApplicationId(String applicationId)`
  `static AuthorType`
  `createAuthor(String projectName)`
  create the author
  `static List<HcpartyType>`
  `createAuthorHcParties(String projectName)`
  Get the list of all Hc Parties that must be created
  `static IDHCPARTY`
  `createCbeId(String cbe)`
  `static IDHCPARTY`
  `createEhpId(String ehpId)`
  `static IDHCPARTY`
  `createInssId(String insz)`
  `static IDKMEHR`
  `createKmehrId(String projectName, String kmehrIdSuffix)`
  generates an IDKMEHR object with a semi generated kmehr id
  `static String`
  `createKmehrIdPrefix()`
  Deprecated.
  `static String`
  `createKmehrIdString(String projectName)`
  creates the kmehrId for the given project, with a generated suffix.
  `static String`
  `createKmehrIdString(String projectName, String kmehrIdSuffix)`
  Generate the kmehr id
  `static String`
  `createKmehrIdSuffix()`
  `static IDHCPARTY`
  `createNihiiId(String nihii)`
  `static String`
  `retrieveMainAuthorId(String projectName)`
  retrieves the main author id from configuration.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### createKmehrIdString

    public static String createKmehrIdString(String projectName, String kmehrIdSuffix) throws TechnicalConnectorException
    Generate the kmehr id
    Parameters:
      `projectName` - used to retrieve the main author id from config file
      `kmehrIdSuffix` - if null an autogenerated suffix will be used
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### createKmehrIdString

    public static String createKmehrIdString(String projectName) throws TechnicalConnectorException
    creates the kmehrId for the given project, with a generated suffix.
    Parameters:
      `projectName` - use to retrieve the main author type.
    Returns:
      String the generated Kmehr id string
    Throws:
      `TechnicalConnectorException`

  - ### retrieveMainAuthorId

    public static String retrieveMainAuthorId(String projectName) throws TechnicalConnectorException
    retrieves the main author id from configuration. this requires the property "kmehr." + {projectName/default} + ".identifier.id.idhcparty.value" to be filled out
    Parameters:
      `projectName` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### createKmehrIdPrefix

    @Deprecated public static String createKmehrIdPrefix() throws TechnicalConnectorException
    Deprecated.
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### createKmehrIdSuffix

    public static String createKmehrIdSuffix() throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### createKmehrId

    public static IDKMEHR createKmehrId(String projectName, String kmehrIdSuffix) throws TechnicalConnectorException
    generates an IDKMEHR object with a semi generated kmehr id
    Parameters:
      `projectName` - the projectName, use to retrieve configuration parameters
      `kmehrIdSuffix` - the suffix for the kmehrId : often this needs to be identical to another identifier, if null an id will be build
    Returns:
      IDKMEHR
    Throws:
      `TechnicalConnectorException`

  - ### createInssId

    public static IDHCPARTY createInssId(String insz)
    Parameters:
      `insz` - the national security number used as id value
    Returns:
      `IDHCPARTY`

  - ### createNihiiId

    public static IDHCPARTY createNihiiId(String nihii)

  - ### createCbeId

    public static IDHCPARTY createCbeId(String cbe)

  - ### createApplicationId

    public static IDHCPARTY createApplicationId(String applicationId)

  - ### createEhpId

    public static IDHCPARTY createEhpId(String ehpId)

  - ### buildId

    public static IDHCPARTY buildId(String version, String value, IDHCPARTYschemes scheme, String sl)
    Parameters:
      `version` -
      `value` -
      `sl` -
    Returns:

  - ### buildId

    public static IDHCPARTY buildId(String version, String value, IDHCPARTYschemes scheme)

  - ### buildId

    public static IDHCPARTY buildId(String value, IDHCPARTYschemes scheme)

  - ### buildCd

    public static CDHCPARTY buildCd(String sv, String value, CDHCPARTYschemes scheme, String sl)
    Parameters:
      `sv` -
      `value` -
      `scheme` -
      `sl` -
    Returns:

  - ### buildCd

    public static CDHCPARTY buildCd(String sv, String value, CDHCPARTYschemes scheme, String sl, String dn, String l)

  - ### createAuthorHcParties

    public static List<HcpartyType> createAuthorHcParties(String projectName) throws TechnicalConnectorException
    Get the list of all Hc Parties that must be created
    Parameters:
      `projectName` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### createAuthor

    public static AuthorType createAuthor(String projectName) throws TechnicalConnectorException
    create the author
    Parameters:
      `projectName` -
    Returns:
    Throws:
      `TechnicalConnectorException`